geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From John Sisson <jrsis...@gmail.com>
Subject build failure - problem with etc/explicit_versions.properties ?
Date Wed, 17 May 2006 07:19:01 GMT
I'm getting a build failure where the "configurations Configuration for 
the J2EE Client" build fails with

<SNIP>
Caused by: 
org.apache.geronimo.kernel.repository.MissingDependencyException: Unable 
to resolve dependency org.apache.geronimo.specs/
geronimo-j2ee_1.4_spec/1.0/jar
        at 
org.apache.geronimo.kernel.config.ConfigurationResolver.resolve(ConfigurationResolver.java:112)
        at 
org.apache.geronimo.kernel.config.Configuration.buildClassPath(Configuration.java:397)
        at 
org.apache.geronimo.kernel.config.Configuration.createConfigurationClasssLoader(Configuration.java:322)
        at 
org.apache.geronimo.kernel.config.Configuration.<init>(Configuration.java:267)
        at 
org.apache.geronimo.kernel.config.SimpleConfigurationManager.load(SimpleConfigurationManager.java:321)


I noticed that the etc/explicit_versions.properties file has the entry:

    org.apache.geronimo.specs///=1.0

Should this be 1.1-SNAPSHOT as it doesn't seem to match what is in 
etc/project.properties (1.1-SNAPSHOT)?

John

Mime
View raw message